package com.alterdekim.game.repository;

import com.alterdekim.game.entity.MediaResource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface MediaResourceRepository extends JpaRepository<MediaResource, Long> {
    Optional<MediaResource> findById(Long id);

    List<MediaResource> findAll();
}
